package com.jiuqi.util.inifile;

import com.jiuqi.util.MemStream;
import com.jiuqi.util.Stream;

public class StreamIni extends BufferIni {
   public StreamIni(Stream aStream) {
      super(new StreamIniBuffer(aStream));
      this.readInfo();
   }

   /** @deprecated */
   public static void printIni(BufferIni ini, String ident) {
      System.out.println();

      for(int i = 0; i < ini.count(); ++i) {
         Section sec = ini.get(i);
         System.out.println(ident + "[" + sec.name() + "]");

         for(int k = 0; k < sec.count(); ++k) {
            Ident idt = sec.get(k);
            System.out.print(ident + idt.name);
            System.out.print("=");
            switch (idt.type) {
               case 1:
                  System.out.print(sec.readBoolean(idt.name, false));
                  break;
               case 2:
                  System.out.print(sec.readInteger(idt.name, 0));
                  break;
               case 3:
                  System.out.print(sec.readDouble(idt.name, 0.0));
                  break;
               case 4:
                  System.out.print(sec.readLong(idt.name, 0L));
                  break;
               case 5:
                  System.out.print(sec.readString(idt.name, ""));
                  break;
               case 6:
                  System.out.print("stream");

                  try {
                     Stream stream = new MemStream();
                     sec.readStream(idt.name, stream);
                     System.out.println(stream.getSize());
                  } catch (Exception var8) {
                     Exception ex = var8;
                     ex.printStackTrace();
                  }
                  break;
               case 7:
                  System.out.print("<INI>");
                  BufferIni child = sec.readIni(idt.name);
                  printIni(child, ident + ident);
            }

            System.out.println();
         }

         System.out.println();
      }

   }
}
